Package org.pushingpixels.lafwidget.contrib.blogofbug.swing

# Class SwingBugUtilities

java.lang.Object
org.pushingpixels.lafwidget.contrib.blogofbug.swing.SwingBugUtilities

public class SwingBugUtilities extends Object
Contains some utility methods applicable to any swing application.

## Method Summary

Modifier and Type
Method
Description
`static void`
`invokeAfter(Runnable execute, int after)`
Runs the supplied class after a certain period of time, the thread will be executed in the EDT.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### invokeAfter

public static void invokeAfter(Runnable execute, int after)
Runs the supplied class after a certain period of time, the thread will be executed in the EDT.

Parameters:
  `execute` - The runnable object whose method will be called after the specified delay
  `after` - The delay in ms before the event will be called